> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get voice tuning settings

> Get the current voice tuning settings (stability, similarity boost, speed, model) for a voice on an agent.



## OpenAPI

````yaml api-reference/agents/openapi.json GET /v1/agents/{agentId}/voices/{voiceId}/tuning-settings
openapi: 3.1.0
info:
  title: PolyAI Agents API
  version: 1.0.11
  description: Manage PolyAI agents, telephony, deployments, and real-time configs.
servers:
  - url: https://api.us.poly.ai
    description: US region
  - url: https://api.eu.poly.ai
    description: EU region
  - url: https://api.uk.poly.ai
    description: UK region
  - url: https://api.studio.poly.ai
    description: Studio region
security:
  - polyApiKey: []
paths:
  /v1/agents/{agentId}/voices/{voiceId}/tuning-settings:
    parameters:
      - name: agentId
        in: path
        required: true
        schema:
          type: string
      - name: voiceId
        in: path
        required: true
        schema:
          type: string
    get:
      tags:
        - Voices
      summary: Get voice tuning settings
      description: >-
        Get the current voice tuning settings (stability, similarity boost,
        speed, model) for a voice on an agent.
      parameters:
        - name: purpose
          in: query
          required: false
          schema:
            type: string
          description: Tuning purpose filter, e.g. 'disclaimer'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TuningSettingsResponse'
        '401':
          description: Unauthorized – missing or invalid API key
        '403':
          description: Forbidden – insufficient permissions
        '404':
          description: Resource not found
components:
  schemas:
    TuningSettingsResponse:
      type: object
      title: TuningSettingsResponse
      description: Voice tuning settings.
      properties:
        stability:
          type:
            - integer
            - 'null'
          description: Voice stability
        similarityBoost:
          type:
            - integer
            - 'null'
          description: Similarity boost
        style:
          type:
            - integer
            - 'null'
          description: Style (provider-specific)
        optimizeStreamingLatency:
          type:
            - integer
            - 'null'
          description: Streaming latency optimization level
        speed:
          type:
            - number
            - 'null'
          description: Playback speed multiplier
        modelId:
          type:
            - string
            - 'null'
          description: Provider model ID
  securitySchemes:
    polyApiKey:
      type: apiKey
      in: header
      name: X-API-KEY

````